--- /dev/null	2014-11-12 17:44:39.000000000 +0100
+++ new/usr/src/uts/common/Makefile.files.orig	2014-11-12 17:44:39.476396562 +0100
@@ -0,0 +1,2078 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
+# Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+#
+
+#
+# This Makefile defines all file modules for the directory uts/common
+# and its children. These are the source files which may be considered
+# common to all SunOS systems.
+
+i386_CORE_OBJS += \
+		atomic.o	\
+		avintr.o	\
+		pic.o
+
+sparc_CORE_OBJS +=
+
+COMMON_CORE_OBJS +=		\
+		beep.o		\
+		bitset.o	\
+		bp_map.o	\
+		brand.o		\
+		cpucaps.o	\
+		cmt.o		\
+		cmt_policy.o	\
+		cpu.o		\
+		cpu_event.o	\
+		cpu_intr.o	\
+		cpu_pm.o	\
+		cpupart.o	\
+		cap_util.o	\
+		disp.o		\
+		group.o		\
+		kstat_fr.o	\
+		iscsiboot_prop.o	\
+		lgrp.o		\
+		lgrp_topo.o	\
+		mmapobj.o	\
+		mutex.o		\
+		page_lock.o	\
+		page_retire.o	\
+		panic.o		\
+		param.o		\
+		pg.o		\
+		pghw.o		\
+		putnext.o	\
+		rctl_proc.o	\
+		rwlock.o	\
+		seg_kmem.o	\
+		softint.o	\
+		string.o	\
+		strtol.o	\
+		strtoul.o	\
+		strtoll.o	\
+		strtoull.o	\
+		thread_intr.o	\
+		vm_page.o	\
+		vm_pagelist.o	\
+		zlib_obj.o	\
+		clock_tick.o
+
+CORE_OBJS +=	$(COMMON_CORE_OBJS) $($(MACH)_CORE_OBJS)
+
+ZLIB_OBJS =	zutil.o zmod.o zmod_subr.o \
+		adler32.o crc32.o deflate.o inffast.o \
+		inflate.o inftrees.o trees.o
+
+GENUNIX_OBJS +=	\
+		access.o	\
+		acl.o		\
+		acl_common.o	\
+		adjtime.o	\
+		alarm.o		\
+		aio_subr.o	\
+		auditsys.o	\
+		audit_core.o	\
+		audit_zone.o	\
+		audit_memory.o	\
+		autoconf.o	\
+		avl.o		\
+		bdev_dsort.o	\
+		bio.o		\
+		bitmap.o	\
+		blabel.o	\
+		brandsys.o	\
+		bz2blocksort.o	\
+		bz2compress.o	\
+		bz2decompress.o	\
+		bz2randtable.o	\
+		bz2bzlib.o	\
+		bz2crctable.o	\
+		bz2huffman.o	\
+		callb.o		\
+		callout.o	\
+		chdir.o		\
+		chmod.o		\
+		chown.o		\
+		cladm.o		\
+		class.o		\
+		clock.o		\
+		clock_highres.o	\
+		clock_realtime.o\
+		close.o		\
+		compress.o	\
+		condvar.o	\
+		conf.o		\
+		console.o	\
+		contract.o	\
+		copyops.o	\
+		core.o		\
+		corectl.o	\
+		cred.o		\
+		cs_stubs.o	\
+		dacf.o		\
+		dacf_clnt.o	\
+		damap.o	\
+		cyclic.o	\
+		ddi.o		\
+		ddifm.o		\
+		ddi_hp_impl.o	\
+		ddi_hp_ndi.o	\
+		ddi_intr.o	\
+		ddi_intr_impl.o	\
+		ddi_intr_irm.o	\
+		ddi_nodeid.o	\
+		ddi_periodic.o	\
+		devcfg.o	\
+		devcache.o	\
+		device.o	\
+		devid.o		\
+		devid_cache.o	\
+		devid_scsi.o	\
+		devid_smp.o	\
+		devpolicy.o	\
+		disp_lock.o	\
+		dnlc.o		\
+		driver.o	\
+		dumpsubr.o	\
+		driver_lyr.o	\
+		dtrace_subr.o	\
+		errorq.o	\
+		etheraddr.o	\
+		evchannels.o	\
+		exacct.o	\
+		exacct_core.o	\
+		exec.o		\
+		exit.o		\
+		fbio.o		\
+		fcntl.o		\
+		fdbuffer.o	\
+		fdsync.o	\
+		fem.o		\
+		ffs.o		\
+		fio.o		\
+		flock.o		\
+		fm.o		\
+		fork.o		\
+		vpm.o		\
+		fs_reparse.o	\
+		fs_subr.o	\
+		fsflush.o	\
+		ftrace.o	\
+		getcwd.o	\
+		getdents.o	\
+		getloadavg.o	\
+		getpagesizes.o	\
+		getpid.o	\
+		gfs.o		\
+		rusagesys.o	\
+		gid.o		\
+		groups.o	\
+		grow.o		\
+		hat_refmod.o	\
+		id32.o		\
+		id_space.o	\
+		inet_ntop.o	\
+		instance.o	\
+		ioctl.o		\
+		ip_cksum.o	\
+		issetugid.o	\
+		ippconf.o	\
+		kcpc.o		\
+		kdi.o		\
+		kiconv.o	\
+		klpd.o		\
+		kmem.o		\
+		ksyms_snapshot.o	\
+		l_strplumb.o	\
+		labelsys.o	\
+		link.o		\
+		list.o		\
+		lockstat_subr.o	\
+		log_sysevent.o	\
+		logsubr.o	\
+		lookup.o	\
+		lseek.o		\
+		ltos.o		\
+		lwp.o		\
+		lwp_create.o	\
+		lwp_info.o	\
+		lwp_self.o	\
+		lwp_sobj.o	\
+		lwp_timer.o	\
+		lwpsys.o	\
+		main.o		\
+		mmapobjsys.o	\
+		memcntl.o	\
+		memstr.o	\
+		lgrpsys.o	\
+		mkdir.o		\
+		mknod.o		\
+		mount.o		\
+		move.o		\
+		msacct.o	\
+		multidata.o	\
+		nbmlock.o	\
+		ndifm.o		\
+		nice.o		\
+		netstack.o	\
+		ntptime.o	\
+		nvpair.o	\
+		nvpair_alloc_system.o	\
+		nvpair_alloc_fixed.o	\
+		fnvpair.o	\
+		octet.o		\
+		open.o		\
+		p_online.o	\
+		pathconf.o	\
+		pathname.o	\
+		pause.o		\
+		serializer.o	\
+		pci_intr_lib.o	\
+		pci_cap.o	\
+		pcifm.o		\
+		pgrp.o		\
+		pgrpsys.o	\
+		pid.o		\
+		pkp_hash.o	\
+		policy.o	\
+		poll.o		\
+		pool.o		\
+		pool_pset.o	\
+		port_subr.o	\
+		ppriv.o		\
+		printf.o	\
+		priocntl.o	\
+		priv.o		\
+		priv_const.o	\
+		proc.o		\
+		procset.o	\
+		processor_bind.o	\
+		processor_info.o	\
+		profil.o	\
+		project.o	\
+		qsort.o		\
+		rctl.o		\
+		rctlsys.o	\
+		readlink.o	\
+		refstr.o	\
+		rename.o	\
+		resolvepath.o	\
+		retire_store.o	\
+		process.o	\
+		rlimit.o	\
+		rmap.o		\
+		rw.o		\
+		rwstlock.o	\
+		sad_conf.o	\
+		sid.o		\
+		sidsys.o	\
+		sched.o		\
+		schedctl.o	\
+		sctp_crc32.o	\
+		seg_dev.o	\
+		seg_kp.o	\
+		seg_kpm.o	\
+		seg_map.o	\
+		seg_vn.o	\
+		seg_spt.o	\
+		semaphore.o	\
+		sendfile.o	\
+		session.o	\
+		share.o		\
+		shuttle.o	\
+		sig.o		\
+		sigaction.o	\
+		sigaltstack.o	\
+		signotify.o	\
+		sigpending.o	\
+		sigprocmask.o	\
+		sigqueue.o	\
+		sigsendset.o	\
+		sigsuspend.o	\
+		sigtimedwait.o	\
+		sleepq.o	\
+		sock_conf.o	\
+		space.o		\
+		sscanf.o	\
+		stat.o		\
+		statfs.o	\
+		statvfs.o	\
+		stol.o		\
+		str_conf.o	\
+		strcalls.o	\
+		stream.o	\
+		streamio.o	\
+		strext.o	\
+		strsubr.o	\
+		strsun.o	\
+		subr.o		\
+		sunddi.o	\
+		sunmdi.o	\
+		sunndi.o	\
+		sunpci.o	\
+		sunpm.o		\
+		sundlpi.o	\
+		suntpi.o	\
+		swap_subr.o	\
+		swap_vnops.o	\
+		symlink.o	\
+		sync.o		\
+		sysclass.o	\
+		sysconfig.o	\
+		sysent.o	\
+		sysfs.o		\
+		systeminfo.o	\
+		task.o		\
+		taskq.o		\
+		tasksys.o	\
+		time.o		\
+		timer.o		\
+		times.o		\
+		timers.o	\
+		thread.o	\
+		tlabel.o	\
+		tnf_res.o	\
+		turnstile.o	\
+		tty_common.o	\
+		u8_textprep.o	\
+		uadmin.o	\
+		uconv.o		\
+		ucredsys.o	\
+		uid.o		\
+		umask.o		\
+		umount.o	\
+		uname.o		\
+		unix_bb.o	\
+		unlink.o	\
+		urw.o		\
+		utime.o		\
+		utssys.o	\
+		uucopy.o	\
+		vfs.o		\
+		vfs_conf.o	\
+		vmem.o		\
+		vm_anon.o	\
+		vm_as.o		\
+		vm_meter.o	\
+		vm_pageout.o	\
+		vm_pvn.o	\
+		vm_rm.o		\
+		vm_seg.o	\
+		vm_subr.o	\
+		vm_swap.o	\
+		vm_usage.o	\
+		vnode.o		\
+		vuid_queue.o	\
+		vuid_store.o	\
+		waitq.o		\
+		watchpoint.o	\
+		yield.o		\
+		scsi_confdata.o	\
+		xattr.o		\
+		xattr_common.o	\
+		xdr_mblk.o	\
+		xdr_mem.o	\
+		xdr.o		\
+		xdr_array.o	\
+		xdr_refer.o	\
+		xhat.o		\
+		zone.o
+
+#
+#	Stubs for the stand-alone linker/loader
+#
+sparc_GENSTUBS_OBJS =	\
+	kobj_stubs.o
+
+i386_GENSTUBS_OBJS =
+
+COMMON_GENSTUBS_OBJS =
+
+GENSTUBS_OBJS += $(COMMON_GENSTUBS_OBJS) $($(MACH)_GENSTUBS_OBJS)
+
+#
+#	DTrace and DTrace Providers
+#
+DTRACE_OBJS += dtrace.o dtrace_isa.o dtrace_asm.o
+
+SDT_OBJS += sdt_subr.o
+
+PROFILE_OBJS += profile.o
+
+SYSTRACE_OBJS += systrace.o
+
+LOCKSTAT_OBJS += lockstat.o
+
+FASTTRAP_OBJS += fasttrap.o fasttrap_isa.o
+
+DCPC_OBJS += dcpc.o
+
+#
+#	Driver (pseudo-driver) Modules
+#
+IPP_OBJS +=	ippctl.o
+
+AUDIO_OBJS += audio_client.o audio_ddi.o audio_engine.o \
+	   audio_fltdata.o audio_format.o audio_ctrl.o \
+	   audio_grc3.o audio_output.o audio_input.o \
+	   audio_oss.o audio_sun.o
+
+AUDIOEMU10K_OBJS += audioemu10k.o
+
+AUDIOENS_OBJS += audioens.o
+
+AUDIOVIA823X_OBJS += audiovia823x.o
+
+AUDIOVIA97_OBJS += audiovia97.o
+
+AUDIO1575_OBJS += audio1575.o
+
+AUDIO810_OBJS += audio810.o
+
+AUDIOCMI_OBJS += audiocmi.o
+
+AUDIOCMIHD_OBJS += audiocmihd.o
+
+AUDIOHD_OBJS +=	audiohd.o
+
+AUDIOIXP_OBJS += audioixp.o
+
+AUDIOLS_OBJS += audiols.o
+
+AUDIOP16X_OBJS += audiop16x.o
+
+AUDIOPCI_OBJS += audiopci.o
+
+AUDIOSOLO_OBJS += audiosolo.o
+
+AUDIOTS_OBJS +=	audiots.o
+
+AC97_OBJS += ac97.o ac97_ad.o ac97_alc.o ac97_cmi.o
+
+BLKDEV_OBJS += blkdev.o
+
+CARDBUS_OBJS += cardbus.o cardbus_hp.o cardbus_cfg.o
+
+CONSKBD_OBJS += conskbd.o
+
+CONSMS_OBJS +=	consms.o
+
+OLDPTY_OBJS +=	tty_ptyconf.o
+
+PTC_OBJS +=	tty_pty.o
+
+PTSL_OBJS +=	tty_pts.o
+
+PTM_OBJS +=	ptm.o
+
+MII_OBJS +=	mii.o mii_cicada.o mii_natsemi.o mii_intel.o mii_qualsemi.o \
+		mii_marvell.o mii_realtek.o mii_other.o
+
+PTS_OBJS +=	pts.o
+
+PTY_OBJS +=	ptms_conf.o
+
+SAD_OBJS +=	sad.o
+
+MD4_OBJS +=	md4.o md4_mod.o
+
+MD5_OBJS +=	md5.o md5_mod.o
+
+SHA1_OBJS +=	sha1.o sha1_mod.o
+
+SHA2_OBJS +=	sha2.o sha2_mod.o
+
+IPGPC_OBJS +=   classifierddi.o classifier.o filters.o trie.o table.o \
+		ba_table.o
+
+DSCPMK_OBJS +=	dscpmk.o dscpmkddi.o
+
+DLCOSMK_OBJS +=	dlcosmk.o dlcosmkddi.o
+
+FLOWACCT_OBJS +=	flowacctddi.o flowacct.o
+
+TOKENMT_OBJS +=	tokenmt.o tokenmtddi.o
+
+TSWTCL_OBJS +=	tswtcl.o tswtclddi.o
+
+ARP_OBJS +=	arpddi.o
+
+ICMP_OBJS +=	icmpddi.o
+
+ICMP6_OBJS +=	icmp6ddi.o
+
+RTS_OBJS +=	rtsddi.o
+
+IP_ICMP_OBJS =	icmp.o icmp_opt_data.o
+IP_RTS_OBJS =	rts.o rts_opt_data.o
+IP_TCP_OBJS =	tcp.o tcp_fusion.o tcp_opt_data.o tcp_sack.o tcp_stats.o \
+		tcp_misc.o tcp_timers.o tcp_time_wait.o tcp_tpi.o tcp_output.o \
+		tcp_input.o tcp_socket.o tcp_bind.o tcp_cluster.o tcp_tunables.o
+IP_UDP_OBJS =	udp.o udp_opt_data.o udp_tunables.o udp_stats.o
+IP_SCTP_OBJS =	sctp.o sctp_opt_data.o sctp_output.o \
+		sctp_init.o sctp_input.o sctp_cookie.o \
+		sctp_conn.o sctp_error.o sctp_snmp.o \
+		sctp_tunables.o sctp_shutdown.o sctp_common.o \
+		sctp_timer.o sctp_heartbeat.o sctp_hash.o \
+		sctp_bind.o sctp_notify.o sctp_asconf.o \
+		sctp_addr.o tn_ipopt.o tnet.o ip_netinfo.o \
+		sctp_misc.o
+IP_ILB_OBJS =	ilb.o ilb_nat.o ilb_conn.o ilb_alg_hash.o ilb_alg_rr.o
+
+IP_OBJS +=	igmp.o ipmp.o ip.o ip6.o ip6_asp.o ip6_if.o ip6_ire.o \
+		ip6_rts.o ip_if.o ip_ire.o ip_listutils.o ip_mroute.o \
+		ip_multi.o ip2mac.o ip_ndp.o ip_rts.o ip_srcid.o \
+		ipddi.o ipdrop.o mi.o nd.o tunables.o optcom.o snmpcom.o \
+		ipsec_loader.o spd.o ipclassifier.o inet_common.o ip_squeue.o \
+		squeue.o ip_sadb.o ip_ftable.o proto_set.o radix.o ip_dummy.o \
+		ip_helper_stream.o ip_tunables.o \
+		ip_output.o ip_input.o ip6_input.o ip6_output.o ip_arp.o \
+		conn_opt.o ip_attr.o ip_dce.o \
+		$(IP_ICMP_OBJS) \
+		$(IP_RTS_OBJS) \
+		$(IP_TCP_OBJS) \
+		$(IP_UDP_OBJS) \
+		$(IP_SCTP_OBJS) \
+		$(IP_ILB_OBJS)
+
+IP6_OBJS +=	ip6ddi.o
+
+HOOK_OBJS +=	hook.o
+
+NETI_OBJS +=	neti_impl.o neti_mod.o neti_stack.o
+
+KEYSOCK_OBJS +=	keysockddi.o keysock.o keysock_opt_data.o
+
+IPNET_OBJS +=	ipnet.o ipnet_bpf.o
+
+SPDSOCK_OBJS += spdsockddi.o spdsock.o spdsock_opt_data.o
+
+IPSECESP_OBJS += ipsecespddi.o ipsecesp.o
+
+IPSECAH_OBJS +=	ipsecahddi.o ipsecah.o sadb.o
+
+SPPP_OBJS +=	sppp.o sppp_dlpi.o sppp_mod.o s_common.o
+
+SPPPTUN_OBJS +=	sppptun.o sppptun_mod.o
+
+SPPPASYN_OBJS += spppasyn.o spppasyn_mod.o
+
+SPPPCOMP_OBJS += spppcomp.o spppcomp_mod.o deflate.o bsd-comp.o vjcompress.o \
+		zlib.o
+
+TCP_OBJS +=	tcpddi.o
+
+TCP6_OBJS +=	tcp6ddi.o
+
+NCA_OBJS +=	ncaddi.o
+
+SDP_SOCK_MOD_OBJS += sockmod_sdp.o socksdp.o socksdpsubr.o
+
+SCTP_SOCK_MOD_OBJS += sockmod_sctp.o socksctp.o socksctpsubr.o
+
+PFP_SOCK_MOD_OBJS += sockmod_pfp.o
+
+RDS_SOCK_MOD_OBJS += sockmod_rds.o
+
+RDS_OBJS +=	rdsddi.o rdssubr.o rds_opt.o rds_ioctl.o
+
+RDSIB_OBJS +=	rdsib.o rdsib_ib.o rdsib_cm.o rdsib_ep.o rdsib_buf.o \
+		rdsib_debug.o rdsib_sc.o
+
+RDSV3_OBJS +=	af_rds.o rdsv3_ddi.o bind.o loop.o threads.o connection.o \
+		transport.o cong.o sysctl.o message.o rds_recv.o send.o \
+		stats.o info.o page.o rdma_transport.o ib_ring.o ib_rdma.o \
+		ib_recv.o ib.o ib_send.o ib_sysctl.o ib_stats.o ib_cm.o \
+		rdsv3_sc.o rdsv3_debug.o rdsv3_impl.o rdma.o rdsv3_af_thr.o
+
+ISER_OBJS +=	iser.o iser_cm.o iser_cq.o iser_ib.o iser_idm.o \
+		iser_resource.o iser_xfer.o
+
+UDP_OBJS +=	udpddi.o
+
+UDP6_OBJS +=	udp6ddi.o
+
+SY_OBJS +=	gentty.o
+
+TCO_OBJS +=	ticots.o
+
+TCOO_OBJS +=	ticotsord.o
+
+TCL_OBJS +=	ticlts.o
+
+TL_OBJS +=	tl.o
+
+DUMP_OBJS +=	dump.o
+
+BPF_OBJS +=	bpf.o bpf_filter.o bpf_mod.o bpf_dlt.o bpf_mac.o
+
+CLONE_OBJS +=	clone.o
+
+CN_OBJS +=	cons.o
+
+DLD_OBJS +=	dld_drv.o dld_proto.o dld_str.o dld_flow.o
+
+DLS_OBJS +=	dls.o dls_link.o dls_mod.o dls_stat.o dls_mgmt.o
+
+GLD_OBJS +=     gld.o gldutil.o
+
+MAC_OBJS +=     mac.o  mac_bcast.o mac_client.o mac_datapath_setup.o mac_flow.o \
+		mac_hio.o mac_mod.o mac_ndd.o mac_provider.o mac_sched.o \
+		mac_protect.o mac_soft_ring.o mac_stat.o mac_util.o
+
+MAC_6TO4_OBJS +=	mac_6to4.o
+
+MAC_ETHER_OBJS +=	mac_ether.o
+
+MAC_IPV4_OBJS +=	mac_ipv4.o
+
+MAC_IPV6_OBJS +=	mac_ipv6.o
+
+MAC_WIFI_OBJS +=	mac_wifi.o
+
+MAC_IB_OBJS +=		mac_ib.o
+
+IPTUN_OBJS +=	iptun_dev.o iptun_ctl.o iptun.o
+
+AGGR_OBJS +=	aggr_dev.o aggr_ctl.o aggr_grp.o aggr_port.o \
+		aggr_send.o aggr_recv.o aggr_lacp.o
+
+SOFTMAC_OBJS += softmac_main.o softmac_ctl.o softmac_capab.o \
+		softmac_dev.o softmac_stat.o softmac_pkt.o softmac_fp.o
+
+NET80211_OBJS += net80211.o net80211_proto.o net80211_input.o \
+		 net80211_output.o net80211_node.o net80211_crypto.o \
+		 net80211_crypto_none.o net80211_crypto_wep.o net80211_ioctl.o \
+		 net80211_crypto_tkip.o net80211_crypto_ccmp.o	\
+		 net80211_ht.o
+
+VNIC_OBJS +=	vnic_ctl.o vnic_dev.o
+
+SIMNET_OBJS +=	simnet.o
+
+IB_OBJS +=	ibnex.o ibnex_ioctl.o ibnex_hca.o
+
+IBCM_OBJS +=	ibcm_impl.o ibcm_sm.o ibcm_ti.o ibcm_utils.o ibcm_path.o \
+		ibcm_arp.o ibcm_arp_link.o
+
+IBDM_OBJS +=	ibdm.o
+
+IBDMA_OBJS +=	ibdma.o
+
+IBMF_OBJS +=	ibmf.o ibmf_impl.o ibmf_dr.o ibmf_wqe.o ibmf_ud_dest.o ibmf_mod.o \
+		ibmf_send.o ibmf_recv.o ibmf_handlers.o ibmf_trans.o \
+		ibmf_timers.o ibmf_msg.o ibmf_utils.o ibmf_rmpp.o \
+		ibmf_saa.o ibmf_saa_impl.o ibmf_saa_utils.o ibmf_saa_events.o
+
+IBTL_OBJS +=	ibtl_impl.o ibtl_util.o ibtl_mem.o ibtl_handlers.o ibtl_qp.o \
+		ibtl_cq.o ibtl_wr.o ibtl_hca.o ibtl_chan.o ibtl_cm.o \
+		ibtl_mcg.o ibtl_ibnex.o ibtl_srq.o ibtl_part.o
+
+TAVOR_OBJS +=	tavor.o tavor_agents.o tavor_cfg.o tavor_ci.o tavor_cmd.o \
+		tavor_cq.o tavor_event.o tavor_ioctl.o tavor_misc.o \
+		tavor_mr.o tavor_qp.o tavor_qpmod.o tavor_rsrc.o \
+		tavor_srq.o tavor_stats.o tavor_umap.o tavor_wr.o
+
+HERMON_OBJS +=	hermon.o hermon_agents.o hermon_cfg.o hermon_ci.o hermon_cmd.o \
+		hermon_cq.o hermon_event.o hermon_ioctl.o hermon_misc.o \
+		hermon_mr.o hermon_qp.o hermon_qpmod.o hermon_rsrc.o \
+		hermon_srq.o hermon_stats.o hermon_umap.o hermon_wr.o \
+		hermon_fcoib.o hermon_fm.o
+
+DAPLT_OBJS +=	daplt.o
+
+SOL_OFS_OBJS +=	sol_cma.o sol_ib_cma.o sol_uobj.o \
+		sol_ofs_debug_util.o sol_ofs_gen_util.o \
+		sol_kverbs.o
+
+SOL_UCMA_OBJS +=	sol_ucma.o
+
+SOL_UVERBS_OBJS +=	sol_uverbs.o sol_uverbs_comp.o sol_uverbs_event.o \
+			sol_uverbs_hca.o sol_uverbs_qp.o
+
+SOL_UMAD_OBJS += sol_umad.o
+
+KSTAT_OBJS +=	kstat.o
+
+KSYMS_OBJS +=	ksyms.o
+
+INSTANCE_OBJS += inst_sync.o
+
+IWSCN_OBJS +=	iwscons.o
+
+LOFI_OBJS +=	lofi.o LzmaDec.o
+
+FSSNAP_OBJS +=	fssnap.o
+
+FSSNAPIF_OBJS += fssnap_if.o
+
+MM_OBJS +=	mem.o
+
+PHYSMEM_OBJS +=	physmem.o
+
+OPTIONS_OBJS += options.o
+
+WINLOCK_OBJS +=	winlockio.o
+
+PM_OBJS +=	pm.o
+SRN_OBJS +=	srn.o
+
+PSEUDO_OBJS +=	pseudonex.o
+
+RAMDISK_OBJS +=	ramdisk.o
+
+LLC1_OBJS += llc1.o
+
+USBKBM_OBJS += usbkbm.o
+
+USBWCM_OBJS += usbwcm.o
+
+BOFI_OBJS += bofi.o
+
+HID_OBJS += hid.o
+
+HWA_RC_OBJS += hwarc.o
+
+USBSKEL_OBJS += usbskel.o
+
+USBVC_OBJS += usbvc.o usbvc_v4l2.o
+
+HIDPARSER_OBJS += hidparser.o
+
+USB_AC_OBJS += usb_ac.o
+
+USB_AS_OBJS += usb_as.o
+
+USB_AH_OBJS += usb_ah.o
+
+USBMS_OBJS += usbms.o
+
+USBPRN_OBJS += usbprn.o
+
+UGEN_OBJS += ugen.o
+
+USBSER_OBJS += usbser.o usbser_rseq.o
+
+USBSACM_OBJS += usbsacm.o
+
+USBSER_KEYSPAN_OBJS += usbser_keyspan.o keyspan_dsd.o keyspan_pipe.o
+
+USBS49_FW_OBJS += keyspan_49fw.o
+
+USBSPRL_OBJS += usbser_pl2303.o pl2303_dsd.o
+
+WUSB_CA_OBJS += wusb_ca.o
+
+USBFTDI_OBJS += usbser_uftdi.o uftdi_dsd.o
+
+USBECM_OBJS += usbecm.o
+
+WC_OBJS += wscons.o vcons.o
+
+VCONS_CONF_OBJS += vcons_conf.o
+
+SCSI_OBJS +=	scsi_capabilities.o scsi_confsubr.o scsi_control.o \
+		scsi_data.o scsi_fm.o scsi_hba.o scsi_reset_notify.o \
+		scsi_resource.o scsi_subr.o scsi_transport.o scsi_watch.o \
+		smp_transport.o
+
+SCSI_VHCI_OBJS +=		scsi_vhci.o mpapi_impl.o scsi_vhci_tpgs.o
+
+SCSI_VHCI_F_SYM_OBJS +=		sym.o
+
+SCSI_VHCI_F_TPGS_OBJS +=	tpgs.o
+
+SCSI_VHCI_F_ASYM_SUN_OBJS +=	asym_sun.o
+
+SCSI_VHCI_F_SYM_HDS_OBJS += 	sym_hds.o
+
+SCSI_VHCI_F_TAPE_OBJS +=	tape.o
+
+SCSI_VHCI_F_TPGS_TAPE_OBJS +=	tpgs_tape.o
+
+SGEN_OBJS +=	sgen.o
+
+SMP_OBJS +=	smp.o
+
+SATA_OBJS +=	sata.o
+
+USBA_OBJS +=	hcdi.o	usba.o	usbai.o hubdi.o parser.o genconsole.o \
+		usbai_pipe_mgmt.o usbai_req.o usbai_util.o usbai_register.o \
+		usba_devdb.o usba10_calls.o usba_ugen.o whcdi.o wa.o
+USBA_WITHOUT_WUSB_OBJS +=	hcdi.o	usba.o	usbai.o hubdi.o parser.o genconsole.o \
+		usbai_pipe_mgmt.o usbai_req.o usbai_util.o usbai_register.o \
+		usba_devdb.o usba10_calls.o usba_ugen.o
+
+USBA10_OBJS +=	usba10.o
+
+RSM_OBJS +=	rsm.o	rsmka_pathmanager.o	rsmka_util.o
+
+RSMOPS_OBJS +=	rsmops.o
+
+S1394_OBJS +=	t1394.o t1394_errmsg.o s1394.o s1394_addr.o s1394_asynch.o \
+		s1394_bus_reset.o s1394_cmp.o s1394_csr.o s1394_dev_disc.o \
+		s1394_fa.o s1394_fcp.o \
+		s1394_hotplug.o s1394_isoch.o s1394_misc.o h1394.o nx1394.o
+
+HCI1394_OBJS +=	hci1394.o hci1394_async.o hci1394_attach.o hci1394_buf.o \
+		hci1394_csr.o hci1394_detach.o hci1394_extern.o \
+		hci1394_ioctl.o hci1394_isoch.o hci1394_isr.o \
+		hci1394_ixl_comp.o hci1394_ixl_isr.o hci1394_ixl_misc.o \
+		hci1394_ixl_update.o hci1394_misc.o hci1394_ohci.o \
+		hci1394_q.o hci1394_s1394if.o hci1394_tlabel.o \
+		hci1394_tlist.o hci1394_vendor.o
+
+AV1394_OBJS +=	av1394.o av1394_as.o av1394_async.o av1394_cfgrom.o \
+		av1394_cmp.o av1394_fcp.o av1394_isoch.o av1394_isoch_chan.o \
+		av1394_isoch_recv.o av1394_isoch_xmit.o av1394_list.o \
+		av1394_queue.o
+
+DCAM1394_OBJS += dcam.o dcam_frame.o dcam_param.o dcam_reg.o \
+		dcam_ring_buff.o
+
+SCSA1394_OBJS += hba.o sbp2_driver.o sbp2_bus.o
+
+SBP2_OBJS += cfgrom.o sbp2.o
+
+PMODEM_OBJS += pmodem.o pmodem_cis.o cis.o cis_callout.o cis_handlers.o cis_params.o
+
+DSW_OBJS +=	dsw.o dsw_dev.o ii_tree.o
+
+NCALL_OBJS +=	ncall.o \
+		ncall_stub.o
+
+RDC_OBJS +=	rdc.o \
+		rdc_dev.o \
+		rdc_io.o \
+		rdc_clnt.o \
+		rdc_prot_xdr.o \
+		rdc_svc.o \
+		rdc_bitmap.o \
+		rdc_health.o \
+		rdc_subr.o \
+		rdc_diskq.o
+
+RDCSRV_OBJS +=	rdcsrv.o
+
+RDCSTUB_OBJS += rdc_stub.o
+
+SDBC_OBJS +=	sd_bcache.o \
+		sd_bio.o \
+		sd_conf.o \
+		sd_ft.o \
+		sd_hash.o \
+		sd_io.o \
+		sd_misc.o \
+		sd_pcu.o \
+		sd_tdaemon.o \
+		sd_trace.o \
+		sd_iob_impl0.o \
+		sd_iob_impl1.o \
+		sd_iob_impl2.o \
+		sd_iob_impl3.o \
+		sd_iob_impl4.o \
+		sd_iob_impl5.o \
+		sd_iob_impl6.o \
+		sd_iob_impl7.o \
+		safestore.o \
+		safestore_ram.o
+
+NSCTL_OBJS +=	nsctl.o \
+		nsc_cache.o \
+		nsc_disk.o \
+		nsc_dev.o \
+		nsc_freeze.o \
+		nsc_gen.o \
+		nsc_mem.o \
+		nsc_ncallio.o \
+		nsc_power.o \
+		nsc_resv.o \
+		nsc_rmspin.o \
+		nsc_solaris.o \
+		nsc_trap.o \
+		nsc_list.o
+UNISTAT_OBJS +=	spuni.o \
+		spcs_s_k.o
+
+NSKERN_OBJS +=	nsc_ddi.o \
+		nsc_proc.o \
+		nsc_raw.o \
+		nsc_thread.o \
+		nskernd.o
+
+SV_OBJS +=	sv.o
+
+PMCS_OBJS += pmcs_attach.o pmcs_ds.o pmcs_intr.o pmcs_nvram.o pmcs_sata.o \
+		pmcs_scsa.o pmcs_smhba.o pmcs_subr.o pmcs_fwlog.o
+
+PMCS8001FW_C_OBJS +=	pmcs_fw_hdr.o
+PMCS8001FW_OBJS +=		$(PMCS8001FW_C_OBJS) SPCBoot.o ila.o firmware.o
+
+#
+#	Build up defines and paths.
+
+ST_OBJS +=	st.o	st_conf.o
+
+EMLXS_OBJS +=	emlxs_clock.o emlxs_dfc.o emlxs_dhchap.o emlxs_diag.o \
+		emlxs_download.o emlxs_dump.o emlxs_els.o emlxs_event.o \
+		emlxs_fcf.o emlxs_fcp.o emlxs_fct.o emlxs_hba.o emlxs_ip.o \
+		emlxs_mbox.o emlxs_mem.o emlxs_msg.o emlxs_node.o \
+		emlxs_pkt.o emlxs_sli3.o emlxs_sli4.o emlxs_solaris.o \
+		emlxs_thread.o
+
+EMLXS_FW_OBJS +=	emlxs_fw.o
+
+OCE_OBJS +=	oce_buf.o oce_fm.o oce_gld.o oce_hw.o oce_intr.o oce_main.o \
+		oce_mbx.o oce_mq.o oce_queue.o oce_rx.o oce_stat.o oce_tx.o \
+		oce_utils.o
+
+FCT_OBJS += discovery.o fct.o
+
+QLT_OBJS += 2400.o 2500.o 8100.o qlt.o qlt_dma.o
+
+SRPT_OBJS += srpt_mod.o srpt_ch.o srpt_cm.o srpt_ioc.o srpt_stp.o
+
+FCOE_OBJS += fcoe.o fcoe_eth.o fcoe_fc.o
+
+FCOET_OBJS += fcoet.o fcoet_eth.o fcoet_fc.o
+
+FCOEI_OBJS += fcoei.o fcoei_eth.o fcoei_lv.o
+
+ISCSIT_SHARED_OBJS += \
+		iscsit_common.o
+
+ISCSIT_OBJS +=	$(ISCSIT_SHARED_OBJS) \
+		iscsit.o iscsit_tgt.o iscsit_sess.o iscsit_login.o \
+		iscsit_text.o iscsit_isns.o iscsit_radiusauth.o \
+		iscsit_radiuspacket.o iscsit_auth.o iscsit_authclient.o
+
+PPPT_OBJS +=	alua_ic_if.o pppt.o pppt_msg.o pppt_tgt.o
+
+STMF_OBJS += lun_map.o stmf.o
+
+STMF_SBD_OBJS += sbd.o sbd_scsi.o sbd_pgr.o sbd_zvol.o
+
+SYSMSG_OBJS +=	sysmsg.o
+
+SES_OBJS +=	ses.o ses_sen.o ses_safte.o ses_ses.o
+
+TNF_OBJS +=	tnf_buf.o	tnf_trace.o	tnf_writer.o	trace_init.o \
+		trace_funcs.o	tnf_probe.o	tnf.o
+
+LOGINDMUX_OBJS += logindmux.o
+
+DEVINFO_OBJS += devinfo.o
+
+DEVPOLL_OBJS += devpoll.o
+
+DEVPOOL_OBJS += devpool.o
+
+I8042_OBJS +=	i8042.o
+
+KB8042_OBJS +=	\
+		at_keyprocess.o	\
+		kb8042.o	\
+		kb8042_keytables.o
+
+MOUSE8042_OBJS += mouse8042.o
+
+FDC_OBJS +=	fdc.o
+
+ASY_OBJS +=	asy.o
+
+ECPP_OBJS +=	ecpp.o
+
+VUIDM3P_OBJS += vuidmice.o vuidm3p.o
+
+VUIDM4P_OBJS += vuidmice.o vuidm4p.o
+
+VUIDM5P_OBJS += vuidmice.o vuidm5p.o
+
+VUIDPS2_OBJS += vuidmice.o vuidps2.o
+
+HPCSVC_OBJS += hpcsvc.o
+
+PCIE_MISC_OBJS += pcie.o pcie_fault.o pcie_hp.o pciehpc.o pcishpc.o pcie_pwr.o pciev.o
+
+PCIHPNEXUS_OBJS += pcihp.o
+
+OPENEEPR_OBJS += openprom.o
+
+RANDOM_OBJS += random.o
+
+PSHOT_OBJS += pshot.o
+
+GEN_DRV_OBJS += gen_drv.o
+
+TCLIENT_OBJS +=	tclient.o
+
+TPHCI_OBJS += tphci.o
+
+TVHCI_OBJS += tvhci.o
+
+EMUL64_OBJS += emul64.o emul64_bsd.o
+
+FCP_OBJS += fcp.o
+
+FCIP_OBJS += fcip.o
+
+FCSM_OBJS += fcsm.o
+
+FCTL_OBJS += fctl.o
+
+FP_OBJS += fp.o
+
+QLC_OBJS += ql_api.o ql_debug.o ql_hba_fru.o ql_init.o ql_iocb.o ql_ioctl.o \
+	ql_isr.o ql_mbx.o ql_nx.o ql_xioctl.o ql_fw_table.o
+
+QLC_FW_2200_OBJS += ql_fw_2200.o
+
+QLC_FW_2300_OBJS += ql_fw_2300.o
+
+QLC_FW_2400_OBJS += ql_fw_2400.o
+
+QLC_FW_2500_OBJS += ql_fw_2500.o
+
+QLC_FW_6322_OBJS += ql_fw_6322.o
+
+QLC_FW_8100_OBJS += ql_fw_8100.o
+
+QLGE_OBJS += qlge.o qlge_dbg.o qlge_flash.o qlge_fm.o qlge_gld.o qlge_mpi.o
+
+ZCONS_OBJS += zcons.o
+
+NV_SATA_OBJS += nv_sata.o
+
+SI3124_OBJS += si3124.o
+
+AHCI_OBJS += ahci.o
+
+PCIIDE_OBJS += pci-ide.o
+
+PCEPP_OBJS += pcepp.o
+
+CPC_OBJS += cpc.o
+
+CPUID_OBJS += cpuid_drv.o
+
+SYSEVENT_OBJS += sysevent.o
+
+BL_OBJS += bl.o
+
+DRM_OBJS += drm_sunmod.o drm_kstat.o drm_agpsupport.o \
+	    drm_auth.o drm_bufs.o drm_context.o drm_dma.o \
+	    drm_drawable.o drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
+	    drm_lock.o drm_memory.o drm_msg.o drm_pci.o drm_scatter.o \
+	    drm_cache.o drm_gem.o drm_mm.o ati_pcigart.o
+
+FM_OBJS += devfm.o devfm_machdep.o
+
+RTLS_OBJS +=	rtls.o
+
+#
+#			exec modules
+#
+AOUTEXEC_OBJS +=aout.o
+
+ELFEXEC_OBJS +=	elf.o elf_notes.o old_notes.o
+
+INTPEXEC_OBJS +=intp.o
+
+SHBINEXEC_OBJS +=shbin.o
+
+JAVAEXEC_OBJS +=java.o
+
+#
+#			file system modules
+#
+AUTOFS_OBJS +=	auto_vfsops.o auto_vnops.o auto_subr.o auto_xdr.o auto_sys.o
+
+CACHEFS_OBJS +=	cachefs_cnode.o		cachefs_cod.o \
+		cachefs_dir.o		cachefs_dlog.o	cachefs_filegrp.o \
+		cachefs_fscache.o	cachefs_ioctl.o	cachefs_log.o \
+		cachefs_module.o \
+		cachefs_noopc.o		cachefs_resource.o \
+		cachefs_strict.o \
+		cachefs_subr.o		cachefs_vfsops.o \
+		cachefs_vnops.o
+
+DCFS_OBJS +=	dc_vnops.o
+
+DEVFS_OBJS +=	devfs_subr.o	devfs_vfsops.o	devfs_vnops.o
+
+DEV_OBJS  +=	sdev_subr.o	sdev_vfsops.o	sdev_vnops.o	\
+		sdev_ptsops.o	sdev_zvolops.o	sdev_comm.o	\
+		sdev_profile.o	sdev_ncache.o	sdev_netops.o	\
+		sdev_ipnetops.o	\
+		sdev_vtops.o
+
+CTFS_OBJS +=	ctfs_all.o ctfs_cdir.o ctfs_ctl.o ctfs_event.o \
+		ctfs_latest.o ctfs_root.o ctfs_sym.o ctfs_tdir.o ctfs_tmpl.o
+
+OBJFS_OBJS +=	objfs_vfs.o	objfs_root.o	objfs_common.o \
+		objfs_odir.o	objfs_data.o
+
+FDFS_OBJS +=	fdops.o
+
+FIFO_OBJS +=	fifosubr.o	fifovnops.o
+
+PIPE_OBJS +=	pipe.o
+
+HSFS_OBJS +=	hsfs_node.o	hsfs_subr.o	hsfs_vfsops.o	hsfs_vnops.o \
+		hsfs_susp.o	hsfs_rrip.o	hsfs_susp_subr.o
+
+LOFS_OBJS +=	lofs_subr.o	lofs_vfsops.o	lofs_vnops.o
+
+NAMEFS_OBJS +=	namevfs.o	namevno.o
+
+NFS_OBJS +=	nfs_client.o	nfs_common.o	nfs_dump.o \
+		nfs_subr.o	nfs_vfsops.o	nfs_vnops.o \
+		nfs_xdr.o	nfs_sys.o	nfs_strerror.o \
+		nfs3_vfsops.o	nfs3_vnops.o	nfs3_xdr.o \
+		nfs_acl_vnops.o	nfs_acl_xdr.o	nfs4_vfsops.o \
+		nfs4_vnops.o	nfs4_xdr.o 	nfs4_idmap.o \
+		nfs4_shadow.o	nfs4_subr.o \
+		nfs4_attr.o	nfs4_rnode.o	nfs4_client.o \
+		nfs4_acache.o	nfs4_common.o	nfs4_client_state.o \
+		nfs4_callback.o	nfs4_recovery.o nfs4_client_secinfo.o \
+		nfs4_client_debug.o	nfs_stats.o \
+		nfs4_acl.o	nfs4_stub_vnops.o	nfs_cmd.o
+
+NFSSRV_OBJS +=	nfs_server.o	nfs_srv.o	nfs3_srv.o \
+		nfs_acl_srv.o	nfs_auth.o	nfs_auth_xdr.o \
+		nfs_export.o	nfs_log.o	nfs_log_xdr.o \
+		nfs4_srv.o	nfs4_state.o	nfs4_srv_attr.o \
+		nfs4_srv_ns.o	nfs4_db.o	nfs4_srv_deleg.o \
+		nfs4_deleg_ops.o nfs4_srv_readdir.o nfs4_dispatch.o
+
+SMBSRV_SHARED_OBJS += \
+		smb_inet.o \
+		smb_match.o \
+		smb_msgbuf.o \
+		smb_oem.o \
+		smb_string.o \
+		smb_utf8.o \
+		smb_door_legacy.o \
+		smb_xdr.o \
+		smb_token.o \
+		smb_token_xdr.o \
+		smb_sid.o \
+		smb_native.o \
+		smb_netbios_util.o
+
+SMBSRV_OBJS +=	$(SMBSRV_SHARED_OBJS)			\
+		smb_acl.o				\
+		smb_alloc.o				\
+		smb_close.o				\
+		smb_common_open.o			\
+		smb_common_transact.o			\
+		smb_create.o				\
+		smb_delete.o				\
+		smb_directory.o				\
+		smb_dispatch.o				\
+		smb_echo.o				\
+		smb_fem.o				\
+		smb_find.o				\
+		smb_flush.o				\
+		smb_fsinfo.o				\
+		smb_fsops.o				\
+		smb_init.o				\
+		smb_kdoor.o				\
+		smb_kshare.o				\
+                smb_kutil.o				\
+		smb_lock.o				\
+		smb_lock_byte_range.o			\
+		smb_locking_andx.o			\
+		smb_logoff_andx.o			\
+		smb_mangle_name.o			\
+		smb_mbuf_marshaling.o			\
+		smb_mbuf_util.o				\
+		smb_negotiate.o				\
+		smb_net.o				\
+		smb_node.o				\
+                smb_nt_cancel.o				\
+		smb_nt_create_andx.o			\
+                smb_nt_transact_create.o		\
+		smb_nt_transact_ioctl.o			\
+		smb_nt_transact_notify_change.o		\
+		smb_nt_transact_quota.o			\
+		smb_nt_transact_security.o		\
+                smb_odir.o				\
+		smb_ofile.o				\
+		smb_open_andx.o				\
+		smb_opipe.o				\
+		smb_oplock.o				\
+		smb_pathname.o				\
+		smb_print.o				\
+		smb_process_exit.o			\
+		smb_query_fileinfo.o			\
+		smb_read.o				\
+		smb_rename.o				\
+		smb_sd.o				\
+		smb_seek.o				\
+		smb_server.o				\
+		smb_session.o				\
+		smb_session_setup_andx.o		\
+		smb_set_fileinfo.o			\
+		smb_signing.o				\
+                smb_tree.o				\
+		smb_trans2_create_directory.o		\
+		smb_trans2_dfs.o			\
+		smb_trans2_find.o			\
+		smb_tree_connect.o			\
+		smb_unlock_byte_range.o			\
+		smb_user.o				\
+		smb_vfs.o				\
+		smb_vops.o				\
+		smb_vss.o				\
+		smb_write.o				\
+		smb_write_raw.o
+
+PCFS_OBJS +=	pc_alloc.o	pc_dir.o	pc_node.o	pc_subr.o \
+		pc_vfsops.o	pc_vnops.o
+
+PROC_OBJS +=	prcontrol.o	prioctl.o	prsubr.o	prusrio.o \
+		prvfsops.o	prvnops.o
+
+MNTFS_OBJS +=	mntvfsops.o	mntvnops.o
+
+SHAREFS_OBJS +=	sharetab.o	sharefs_vfsops.o	sharefs_vnops.o
+
+SPEC_OBJS +=	specsubr.o	specvfsops.o	specvnops.o
+
+SOCK_OBJS +=	socksubr.o	sockvfsops.o	sockparams.o	\
+		socksyscalls.o	socktpi.o	sockstr.o \
+		sockcommon_vnops.o	sockcommon_subr.o \
+		sockcommon_sops.o	sockcommon.o	\
+		sock_notsupp.o	socknotify.o \
+		nl7c.o		nl7curi.o	nl7chttp.o	nl7clogd.o \
+		nl7cnca.o	sodirect.o	sockfilter.o
+
+TMPFS_OBJS +=	tmp_dir.o	tmp_subr.o	tmp_tnode.o	tmp_vfsops.o \
+		tmp_vnops.o
+
+UDFS_OBJS +=	udf_alloc.o	udf_bmap.o	udf_dir.o	\
+		udf_inode.o	udf_subr.o	udf_vfsops.o	\
+		udf_vnops.o
+
+UFS_OBJS +=	ufs_alloc.o	ufs_bmap.o	ufs_dir.o 	ufs_xattr.o \
+		ufs_inode.o	ufs_subr.o	ufs_tables.o	ufs_vfsops.o \
+		ufs_vnops.o	quota.o		quotacalls.o	quota_ufs.o \
+		ufs_filio.o	ufs_lockfs.o	ufs_thread.o	ufs_trans.o \
+		ufs_acl.o	ufs_panic.o	ufs_directio.o	ufs_log.o \
+		ufs_extvnops.o	ufs_snap.o	lufs.o		lufs_thread.o \
+		lufs_log.o	lufs_map.o	lufs_top.o	lufs_debug.o
+VSCAN_OBJS +=	vscan_drv.o	vscan_svc.o vscan_door.o
+
+NSMB_OBJS +=	smb_conn.o	smb_dev.o	smb_iod.o	smb_pass.o \
+		smb_rq.o	smb_sign.o	smb_smb.o	smb_subrs.o \
+		smb_time.o	smb_tran.o	smb_trantcp.o	smb_usr.o \
+		subr_mchain.o
+
+SMBFS_COMMON_OBJS += smbfs_ntacl.o
+SMBFS_OBJS +=	smbfs_vfsops.o	smbfs_vnops.o	smbfs_node.o	\
+		smbfs_acl.o	smbfs_client.o	smbfs_smb.o	\
+		smbfs_subr.o	smbfs_subr2.o	\
+		smbfs_rwlock.o	smbfs_xattr.o	\
+		$(SMBFS_COMMON_OBJS)
+
+
+#
+#			LVM modules
+#
+MD_OBJS	+= md.o md_error.o md_ioctl.o md_mddb.o md_names.o \
+	md_med.o md_rename.o md_subr.o
+
+MD_COMMON_OBJS = md_convert.o md_crc.o md_revchk.o
+
+MD_DERIVED_OBJS = metamed_xdr.o meta_basic_xdr.o
+
+SOFTPART_OBJS += sp.o sp_ioctl.o
+
+STRIPE_OBJS += stripe.o stripe_ioctl.o
+
+HOTSPARES_OBJS += hotspares.o
+
+RAID_OBJS += raid.o raid_ioctl.o raid_replay.o raid_resync.o raid_hotspare.o
+
+MIRROR_OBJS += mirror.o mirror_ioctl.o mirror_resync.o
+
+NOTIFY_OBJS += md_notify.o
+
+TRANS_OBJS += mdtrans.o trans_ioctl.o trans_log.o
+
+ZFS_COMMON_OBJS +=		\
+	arc.o			\
+	blkptr.o		\
+	bplist.o		\
+	bpobj.o			\
+	bptree.o		\
+	dbuf.o			\
+	ddt.o			\
+	ddt_zap.o		\
+	dmu.o			\
+	dmu_diff.o		\
+	dmu_send.o		\
+	dmu_object.o		\
+	dmu_objset.o		\
+	dmu_traverse.o		\
+	dmu_tx.o		\
+	dnode.o			\
+	dnode_sync.o		\
+	dsl_bookmark.o		\
+	dsl_dir.o		\
+	dsl_dataset.o		\
+	dsl_deadlist.o		\
+	dsl_destroy.o		\
+	dsl_pool.o		\
+	dsl_synctask.o		\
+	dsl_userhold.o		\
+	dmu_zfetch.o		\
+	dsl_deleg.o		\
+	dsl_prop.o		\
+	dsl_scan.o		\
+	zfeature.o		\
+	gzip.o			\
+	lz4.o			\
+	lzjb.o			\
+	metaslab.o		\
+	range_tree.o		\
+	refcount.o		\
+	rrwlock.o		\
+	sa.o			\
+	sha256.o		\
+	spa.o			\
+	spa_config.o		\
+	spa_errlog.o		\
+	spa_history.o		\
+	spa_misc.o		\
+	space_map.o		\
+	space_reftree.o		\
+	txg.o			\
+	uberblock.o		\
+	unique.o		\
+	vdev.o			\
+	vdev_cache.o		\
+	vdev_file.o		\
+	vdev_label.o		\
+	vdev_mirror.o		\
+	vdev_missing.o		\
+	vdev_queue.o		\
+	vdev_raidz.o		\
+	vdev_root.o		\
+	zap.o			\
+	zap_leaf.o		\
+	zap_micro.o		\
+	zfs_byteswap.o		\
+	zfs_debug.o		\
+	zfs_fm.o		\
+	zfs_fuid.o		\
+	zfs_sa.o		\
+	zfs_znode.o		\
+	zil.o			\
+	zio.o			\
+	zio_checksum.o		\
+	zio_compress.o		\
+	zio_inject.o		\
+	zle.o			\
+	zrlock.o
+
+ZFS_SHARED_OBJS +=		\
+	zfeature_common.o	\
+	zfs_comutil.o		\
+	zfs_deleg.o		\
+	zfs_fletcher.o		\
+	zfs_namecheck.o		\
+	zfs_prop.o		\
+	zpool_prop.o		\
+	zprop_common.o
+
+ZFS_OBJS +=			\
+	$(ZFS_COMMON_OBJS)	\
+	$(ZFS_SHARED_OBJS)	\
+	vdev_disk.o		\
+	zfs_acl.o		\
+	zfs_ctldir.o		\
+	zfs_dir.o		\
+	zfs_ioctl.o		\
+	zfs_log.o		\
+	zfs_onexit.o		\
+	zfs_replay.o		\
+	zfs_rlock.o		\
+	zfs_vfsops.o		\
+	zfs_vnops.o		\
+	zvol.o
+
+ZUT_OBJS +=			\
+	zut.o
+
+#
+#			streams modules
+#
+BUFMOD_OBJS	+=	bufmod.o
+
+CONNLD_OBJS +=	connld.o
+
+DEDUMP_OBJS +=	dedump.o
+
+DRCOMPAT_OBJS +=	drcompat.o
+
+LDLINUX_OBJS +=	ldlinux.o
+
+LDTERM_OBJS +=	ldterm.o uwidth.o
+
+PCKT_OBJS +=	pckt.o
+
+PFMOD_OBJS +=	pfmod.o
+
+PTEM_OBJS +=	ptem.o
+
+REDIRMOD_OBJS += strredirm.o
+
+TIMOD_OBJS +=	timod.o
+
+TIRDWR_OBJS +=	tirdwr.o
+
+TTCOMPAT_OBJS +=ttcompat.o
+
+LOG_OBJS +=	log.o
+
+PIPEMOD_OBJS +=	pipemod.o
+
+RPCMOD_OBJS +=	rpcmod.o	clnt_cots.o	clnt_clts.o \
+		clnt_gen.o	clnt_perr.o	mt_rpcinit.o	rpc_calmsg.o \
+		rpc_prot.o	rpc_sztypes.o	rpc_subr.o	rpcb_prot.o \
+		svc.o		svc_clts.o	svc_gen.o	svc_cots.o \
+		rpcsys.o	xdr_sizeof.o	clnt_rdma.o	svc_rdma.o \
+		xdr_rdma.o	rdma_subr.o	xdrrdma_sizeof.o
+
+KLMMOD_OBJS +=	klmmod.o \
+		nlm_impl.o \
+		nlm_rpc_handle.o \
+		nlm_dispatch.o \
+		nlm_rpc_svc.o \
+		nlm_client.o \
+		nlm_service.o \
+		nlm_prot_clnt.o \
+		nlm_prot_xdr.o \
+		nlm_rpc_clnt.o \
+		nsm_addr_clnt.o \
+		nsm_addr_xdr.o \
+		sm_inter_clnt.o \
+		sm_inter_xdr.o
+
+KLMOPS_OBJS +=	klmops.o
+
+TLIMOD_OBJS +=	tlimod.o	t_kalloc.o	t_kbind.o	t_kclose.o \
+		t_kconnect.o	t_kfree.o	t_kgtstate.o	t_kopen.o \
+		t_krcvudat.o	t_ksndudat.o	t_kspoll.o	t_kunbind.o \
+		t_kutil.o
+
+RLMOD_OBJS += rlmod.o
+
+TELMOD_OBJS += telmod.o
+
+CRYPTMOD_OBJS += cryptmod.o
+
+KB_OBJS +=	kbd.o		keytables.o
+
+#
+#			ID mapping module
+#
+IDMAP_OBJS +=	idmap_mod.o	idmap_kapi.o	idmap_xdr.o	idmap_cache.o
+
+#
+#			scheduling class modules
+#
+SDC_OBJS +=		sysdc.o
+
+RT_OBJS +=		rt.o
+RT_DPTBL_OBJS +=	rt_dptbl.o
+
+TS_OBJS +=		ts.o
+TS_DPTBL_OBJS +=	ts_dptbl.o
+
+IA_OBJS +=		ia.o
+
+FSS_OBJS +=		fss.o
+
+FX_OBJS +=		fx.o
+FX_DPTBL_OBJS +=	fx_dptbl.o
+
+#
+#			Inter-Process Communication (IPC) modules
+#
+IPC_OBJS +=	ipc.o
+
+IPCMSG_OBJS +=	msg.o
+
+IPCSEM_OBJS +=	sem.o
+
+IPCSHM_OBJS +=	shm.o
+
+#
+#			bignum module
+#
+COMMON_BIGNUM_OBJS += bignum_mod.o bignumimpl.o
+
+BIGNUM_OBJS += $(COMMON_BIGNUM_OBJS) $(BIGNUM_PSR_OBJS)
+
+#
+#			kernel cryptographic framework
+#
+KCF_OBJS +=	kcf.o kcf_callprov.o kcf_cbufcall.o kcf_cipher.o kcf_crypto.o \
+		kcf_cryptoadm.o kcf_ctxops.o kcf_digest.o kcf_dual.o \
+		kcf_keys.o kcf_mac.o kcf_mech_tabs.o kcf_miscapi.o \
+		kcf_object.o kcf_policy.o kcf_prov_lib.o kcf_prov_tabs.o \
+		kcf_sched.o kcf_session.o kcf_sign.o kcf_spi.o kcf_verify.o \
+		kcf_random.o modes.o ecb.o cbc.o ctr.o ccm.o gcm.o \
+		fips_random.o
+
+CRYPTOADM_OBJS += cryptoadm.o
+
+CRYPTO_OBJS +=	crypto.o
+
+DPROV_OBJS +=	dprov.o
+
+DCA_OBJS +=	dca.o dca_3des.o dca_debug.o dca_dsa.o dca_kstat.o dca_rng.o \
+		dca_rsa.o
+
+AESPROV_OBJS +=	aes.o aes_impl.o aes_modes.o
+
+ARCFOURPROV_OBJS += arcfour.o arcfour_crypt.o
+
+BLOWFISHPROV_OBJS += blowfish.o blowfish_impl.o
+
+ECCPROV_OBJS += ecc.o ec.o ec2_163.o ec2_mont.o ecdecode.o ecl_mult.o \
+		ecp_384.o ecp_jac.o ec2_193.o ecl.o ecp_192.o ecp_521.o \
+		ecp_jm.o ec2_233.o ecl_curve.o ecp_224.o ecp_aff.o \
+		ecp_mont.o ec2_aff.o ec_naf.o ecl_gf.o ecp_256.o mp_gf2m.o \
+		mpi.o mplogic.o mpmontg.o mpprime.o oid.o \
+		secitem.o ec2_test.o ecp_test.o
+
+RSAPROV_OBJS += rsa.o rsa_impl.o pkcs1.o
+
+SWRANDPROV_OBJS += swrand.o
+
+#
+#			kernel SSL
+#
+KSSL_OBJS +=	kssl.o ksslioctl.o
+
+KSSL_SOCKFIL_MOD_OBJS += ksslfilter.o ksslapi.o ksslrec.o
+
+#
+#			misc. modules
+#
+
+C2AUDIT_OBJS +=	adr.o audit.o audit_event.o audit_io.o \
+		audit_path.o audit_start.o audit_syscalls.o audit_token.o \
+		audit_mem.o
+
+PCIC_OBJS +=	pcic.o
+
+RPCSEC_OBJS +=	secmod.o	sec_clnt.o	sec_svc.o	sec_gen.o \
+		auth_des.o	auth_kern.o	auth_none.o	auth_loopb.o\
+		authdesprt.o	authdesubr.o	authu_prot.o \
+		key_call.o	key_prot.o	svc_authu.o	svcauthdes.o
+
+RPCSEC_GSS_OBJS +=	rpcsec_gssmod.o rpcsec_gss.o rpcsec_gss_misc.o \
+		rpcsec_gss_utils.o svc_rpcsec_gss.o
+
+CONSCONFIG_OBJS += consconfig.o
+
+CONSCONFIG_DACF_OBJS  += consconfig_dacf.o consplat.o
+
+TEM_OBJS += tem.o tem_safe.o 6x10.o 7x14.o 12x22.o
+
+KBTRANS_OBJS +=				\
+		kbtrans.o		\
+		kbtrans_keytables.o	\
+		kbtrans_polled.o	\
+		kbtrans_streams.o	\
+		usb_keytables.o
+
+KGSSD_OBJS +=	gssd_clnt_stubs.o gssd_handle.o gssd_prot.o \
+		gss_display_name.o gss_release_name.o gss_import_name.o \
+		gss_release_buffer.o gss_release_oid_set.o gen_oids.o gssdmod.o
+
+KGSSD_DERIVED_OBJS = gssd_xdr.o
+
+KGSS_DUMMY_OBJS += dmech.o
+
+KSOCKET_OBJS +=	ksocket.o ksocket_mod.o
+
+CRYPTO= cksumtypes.o decrypt.o encrypt.o encrypt_length.o etypes.o \
+	nfold.o verify_checksum.o prng.o block_size.o make_checksum.o\
+	checksum_length.o hmac.o default_state.o mandatory_sumtype.o
+
+# crypto/des
+CRYPTO_DES= f_cbc.o f_cksum.o f_parity.o weak_key.o d3_cbc.o ef_crypto.o
+
+CRYPTO_DK= checksum.o derive.o dk_decrypt.o dk_encrypt.o
+
+CRYPTO_ARCFOUR= k5_arcfour.o
+
+# crypto/enc_provider
+CRYPTO_ENC= des.o des3.o arcfour_provider.o aes_provider.o
+
+# crypto/hash_provider
+CRYPTO_HASH= hash_kef_generic.o hash_kmd5.o hash_crc32.o hash_ksha1.o
+
+# crypto/keyhash_provider
+CRYPTO_KEYHASH= descbc.o k5_kmd5des.o k_hmac_md5.o
+
+# crypto/crc32
+CRYPTO_CRC32= crc32.o
+
+# crypto/old
+CRYPTO_OLD= old_decrypt.o old_encrypt.o
+
+# crypto/raw
+CRYPTO_RAW= raw_decrypt.o raw_encrypt.o
+
+K5_KRB= kfree.o copy_key.o \
+	parse.o init_ctx.o \
+	ser_adata.o ser_addr.o \
+	ser_auth.o ser_cksum.o \
+	ser_key.o ser_princ.o \
+	serialize.o unparse.o \
+	ser_actx.o
+
+K5_OS=  timeofday.o toffset.o \
+	init_os_ctx.o c_ustime.o
+
+SEAL=	seal.o unseal.o
+
+MECH=	delete_sec_context.o \
+	import_sec_context.o \
+	gssapi_krb5.o \
+	k5seal.o k5unseal.o k5sealv3.o \
+	ser_sctx.o \
+	sign.o \
+	util_crypt.o  \
+	util_validate.o  util_ordering.o  \
+	util_seqnum.o util_set.o util_seed.o \
+	wrap_size_limit.o verify.o
+
+
+
+MECH_GEN= util_token.o
+
+
+KGSS_KRB5_OBJS += krb5mech.o \
+	$(MECH) $(SEAL) $(MECH_GEN) \
+	$(CRYPTO) $(CRYPTO_DES) $(CRYPTO_DK) $(CRYPTO_ARCFOUR) \
+	$(CRYPTO_ENC) $(CRYPTO_HASH) \
+	$(CRYPTO_KEYHASH) $(CRYPTO_CRC32) \
+	$(CRYPTO_OLD) \
+	$(CRYPTO_RAW) $(K5_KRB) $(K5_OS)
+
+DES_OBJS +=	des_crypt.o des_impl.o des_ks.o des_soft.o
+
+DLBOOT_OBJS +=	bootparam_xdr.o nfs_dlinet.o scan.o
+
+KRTLD_OBJS +=	kobj_bootflags.o getoptstr.o \
+		kobj.o kobj_kdi.o kobj_lm.o kobj_subr.o
+
+MOD_OBJS +=	modctl.o modsubr.o modsysfile.o modconf.o modhash.o
+
+STRPLUMB_OBJS += strplumb.o
+
+CPR_OBJS +=	cpr_driver.o cpr_dump.o \
+		cpr_main.o cpr_misc.o cpr_mod.o cpr_stat.o \
+		cpr_uthread.o
+
+PROF_OBJS +=	prf.o
+
+SE_OBJS += se_driver.o
+
+SYSACCT_OBJS +=	acct.o
+
+ACCTCTL_OBJS +=	acctctl.o
+
+EXACCTSYS_OBJS += exacctsys.o
+
+KAIO_OBJS += aio.o
+
+PCMCIA_OBJS += pcmcia.o cs.o cis.o cis_callout.o cis_handlers.o cis_params.o
+
+BUSRA_OBJS += busra.o
+
+PCS_OBJS += pcs.o
+
+PSET_OBJS +=	pset.o
+
+OHCI_OBJS += ohci.o ohci_hub.o ohci_polled.o
+
+UHCI_OBJS += uhci.o uhciutil.o uhcitgt.o uhcihub.o uhcipolled.o
+
+EHCI_OBJS += ehci.o ehci_hub.o ehci_xfer.o ehci_intr.o ehci_util.o ehci_polled.o ehci_isoch.o ehci_isoch_util.o
+
+HUBD_OBJS += hubd.o
+
+USB_MID_OBJS += usb_mid.o
+
+USB_IA_OBJS += usb_ia.o
+
+UWBA_OBJS += uwba.o uwbai.o
+
+SCSA2USB_OBJS += scsa2usb.o usb_ms_bulkonly.o usb_ms_cbi.o
+
+HWAHC_OBJS += hwahc.o hwahc_util.o
+
+WUSB_DF_OBJS += wusb_df.o
+WUSB_FWMOD_OBJS += wusb_fwmod.o
+
+IPF_OBJS += ip_fil_solaris.o fil.o solaris.o ip_state.o ip_frag.o ip_nat.o \
+	    ip_proxy.o ip_auth.o ip_pool.o ip_htable.o ip_lookup.o \
+	    ip_log.o misc.o ip_compat.o ip_nat6.o drand48.o
+
+IPD_OBJS += ipd.o
+
+IBD_OBJS +=	ibd.o ibd_cm.o
+
+EIBNX_OBJS +=	enx_main.o enx_hdlrs.o enx_ibt.o enx_log.o enx_fip.o \
+		enx_misc.o enx_q.o enx_ctl.o
+
+EOIB_OBJS +=	eib_adm.o eib_chan.o eib_cmn.o eib_ctl.o eib_data.o \
+		eib_fip.o eib_ibt.o eib_log.o eib_mac.o eib_main.o \
+		eib_rsrc.o eib_svc.o eib_vnic.o
+
+DLPISTUB_OBJS += dlpistub.o
+
+SDP_OBJS +=	sdpddi.o
+
+TRILL_OBJS +=   trill.o
+
+CTF_OBJS += ctf_create.o ctf_decl.o ctf_error.o ctf_hash.o ctf_labels.o \
+	ctf_lookup.o ctf_open.o ctf_types.o ctf_util.o ctf_subr.o ctf_mod.o
+
+SMBIOS_OBJS += smb_error.o smb_info.o smb_open.o smb_subr.o smb_dev.o
+
+RPCIB_OBJS += rpcib.o
+
+KMDB_OBJS += kdrv.o
+
+AFE_OBJS += afe.o
+
+BGE_OBJS += bge_main2.o bge_chip2.o bge_kstats.o bge_log.o bge_ndd.o \
+		bge_atomic.o bge_mii.o bge_send.o bge_recv2.o bge_mii_5906.o
+
+DMFE_OBJS += dmfe_log.o dmfe_main.o dmfe_mii.o
+
+EFE_OBJS += efe.o
+
+ELXL_OBJS += elxl.o
+
+HME_OBJS += hme.o
+
+IXGB_OBJS += ixgb.o ixgb_atomic.o ixgb_chip.o ixgb_gld.o ixgb_kstats.o \
+		ixgb_log.o ixgb_ndd.o ixgb_rx.o ixgb_tx.o ixgb_xmii.o
+
+NGE_OBJS += nge_main.o nge_atomic.o nge_chip.o nge_ndd.o nge_kstats.o \
+		nge_log.o nge_rx.o nge_tx.o nge_xmii.o
+
+PCN_OBJS += pcn.o
+
+RGE_OBJS += rge_main.o rge_chip.o rge_ndd.o rge_kstats.o rge_log.o rge_rxtx.o
+
+URTW_OBJS += urtw.o
+
+ARN_OBJS += arn_hw.o arn_eeprom.o arn_mac.o arn_calib.o arn_ani.o arn_phy.o arn_regd.o arn_beacon.o \
+		arn_main.o arn_recv.o arn_xmit.o arn_rc.o
+
+ATH_OBJS += ath_aux.o ath_main.o ath_osdep.o ath_rate.o
+
+ATU_OBJS += atu.o
+
+IPW_OBJS += ipw2100_hw.o ipw2100.o
+
+IWI_OBJS += ipw2200_hw.o ipw2200.o
+
+IWH_OBJS += iwh.o
+
+IWK_OBJS += iwk2.o
+
+IWP_OBJS += iwp.o
+
+MWL_OBJS += mwl.o
+
+MWLFW_OBJS += mwlfw_mode.o
+
+WPI_OBJS += wpi.o
+
+RAL_OBJS += rt2560.o ral_rate.o
+
+RUM_OBJS += rum.o
+
+RWD_OBJS += rt2661.o
+
+RWN_OBJS += rt2860.o
+
+UATH_OBJS += uath.o
+
+UATHFW_OBJS += uathfw_mod.o
+
+URAL_OBJS += ural.o
+
+RTW_OBJS += rtw.o smc93cx6.o rtwphy.o rtwphyio.o
+
+ZYD_OBJS += zyd.o zyd_usb.o zyd_hw.o zyd_fw.o
+
+MXFE_OBJS += mxfe.o
+
+MPTSAS_OBJS += mptsas.o mptsas_hash.o mptsas_impl.o mptsas_init.o \
+		mptsas_raid.o mptsas_smhba.o
+
+SFE_OBJS += sfe.o sfe_util.o
+
+BFE_OBJS += bfe.o
+
+BRIDGE_OBJS += bridge.o
+
+IDM_SHARED_OBJS += base64.o
+
+IDM_OBJS +=	$(IDM_SHARED_OBJS) \
+		idm.o idm_impl.o idm_text.o idm_conn_sm.o idm_so.o
+
+VR_OBJS += vr.o
+
+ATGE_OBJS += atge_main.o atge_l1e.o atge_mii.o atge_l1.o atge_l1c.o
+
+YGE_OBJS = yge.o
+
+SKD_OBJS = skd.o
+
+#
+#	Build up defines and paths.
+#
+LINT_DEFS	+= -Dunix
+
+#
+#	This duality can be removed when the native and target compilers
+#	are the same (or at least recognize the same command line syntax!)
+#	It is a bug in the current compilation system that the assember
+#	can't process the -Y I, flag.
+#
+NATIVE_INC_PATH += $(INC_PATH) $(CCYFLAG)$(UTSBASE)/common
+AS_INC_PATH	+= $(INC_PATH) -I$(UTSBASE)/common
+INCLUDE_PATH    += $(INC_PATH) $(CCYFLAG)$(UTSBASE)/common
+
+PCIEB_OBJS += pcieb.o
+
+#	Chelsio N110 10G NIC driver module
+#
+CH_OBJS = ch.o glue.o pe.o sge.o
+
+CH_COM_OBJS =	ch_mac.o ch_subr.o cspi.o espi.o ixf1010.o mc3.o mc4.o mc5.o \
+		mv88e1xxx.o mv88x201x.o my3126.o pm3393.o tp.o ulp.o \
+		vsc7321.o vsc7326.o xpak.o
+
+#
+#	Chelsio Terminator 4 10G NIC nexus driver module
+#
+CXGBE_FW_OBJS  =	t4_fw.o t4_cfg.o
+CXGBE_COM_OBJS =	t4_hw.o common.o
+CXGBE_NEX_OBJS =	t4_nexus.o t4_sge.o t4_mac.o t4_ioctl.o shared.o \
+			t4_l2t.o adapter.o osdep.o
+
+#
+#	Chelsio Terminator 4 10G NIC driver module
+#
+CXGBE_OBJS =	cxgbe.o
+
+#
+#	PCI strings file
+#
+PCI_STRING_OBJS = pci_strings.o
+
+NET_DACF_OBJS += net_dacf.o
+
+#
+#	Xframe 10G NIC driver module
+#
+XGE_OBJS = xge.o xgell.o
+
+XGE_HAL_OBJS =  xgehal-channel.o xgehal-fifo.o xgehal-ring.o  xgehal-config.o \
+		xgehal-driver.o  xgehal-mm.o xgehal-stats.o  xgehal-device.o \
+		xge-queue.o  xgehal-mgmt.o xgehal-mgmtaux.o
+
+#
+#	e1000/igb common objs
+#
+#	Historically e1000g and igb had separate copies of all of the common
+#	code. At this time while they are now sharing the same copy of it, they
+#	are building it into their own modules which is due to the differences
+#	in the osdep and debug portions of their code.
+#
+E1000API_OBJS += e1000_80003es2lan.o e1000_82540.o e1000_82541.o e1000_82542.o \
+		e1000_82543.o e1000_82571.o e1000_api.o e1000_ich8lan.o \
+		e1000_mac.o e1000_manage.o e1000_nvm.o e1000_phy.o \
+		e1000_82575.o e1000_i210.o e1000_mbx.o e1000_vf.o
+
+#
+#	e1000g module
+#
+E1000G_OBJS +=	e1000g_debug.o e1000g_main.o e1000g_alloc.o \
+		e1000g_tx.o e1000g_rx.o e1000g_stat.o \
+		e1000g_osdep.o e1000g_workarounds.o
+		
+
+#
+#	Intel 82575 1G NIC driver module
+#
+IGB_OBJS =	igb_buf.o igb_debug.o igb_gld.o igb_log.o igb_main.o \
+		igb_rx.o igb_stat.o igb_tx.o igb_osdep.o
+
+#
+#	Intel Pro/100 NIC driver module
+#
+IPRB_OBJS =	iprb.o
+
+#
+#       Intel 10GbE PCIE NIC driver module
+#
+IXGBE_OBJS =    ixgbe_82598.o ixgbe_82599.o ixgbe_api.o		\
+                ixgbe_common.o ixgbe_phy.o			\
+                ixgbe_buf.o ixgbe_debug.o ixgbe_gld.o           \
+                ixgbe_log.o ixgbe_main.o 	                \
+                ixgbe_osdep.o ixgbe_rx.o ixgbe_stat.o           \
+                ixgbe_tx.o  ixgbe_x540.o ixgbe_mbx.o
+
+#
+#	NIU 10G/1G driver module
+#
+NXGE_OBJS =	nxge_mac.o nxge_ipp.o nxge_rxdma.o		\
+		nxge_txdma.o nxge_txc.o nxge_main.o		\
+		nxge_hw.o nxge_fzc.o nxge_virtual.o		\
+		nxge_send.o nxge_classify.o nxge_fflp.o		\
+		nxge_fflp_hash.o nxge_ndd.o nxge_kstats.o	\
+		nxge_zcp.o nxge_fm.o nxge_espc.o nxge_hv.o	\
+		nxge_hio.o nxge_hio_guest.o nxge_intr.o
+
+NXGE_NPI_OBJS =	\
+		npi.o npi_mac.o npi_ipp.o			\
+		npi_txdma.o npi_rxdma.o npi_txc.o		\
+		npi_zcp.o npi_espc.o npi_fflp.o			\
+		npi_vir.o
+
+NXGE_HCALL_OBJS =	\
+		nxge_hcall.o
+
+#
+# Virtio modules
+#
+
+# Virtio core
+VIRTIO_OBJS = virtio.o
+
+# Virtio block driver
+VIOBLK_OBJS = vioblk.o
+
+#
+#	kiconv modules
+#
+KICONV_EMEA_OBJS += kiconv_emea.o
+
+KICONV_JA_OBJS += kiconv_ja.o
+
+KICONV_KO_OBJS += kiconv_cck_common.o kiconv_ko.o
+
+KICONV_SC_OBJS += kiconv_cck_common.o kiconv_sc.o
+
+KICONV_TC_OBJS += kiconv_cck_common.o kiconv_tc.o
+
+#
+#	AAC module
+#
+AAC_OBJS = aac.o aac_ioctl.o
+
+#
+#	sdcard modules
+#
+SDA_OBJS =	sda_cmd.o sda_host.o sda_init.o sda_mem.o sda_mod.o sda_slot.o
+SDHOST_OBJS =	sdhost.o
+
+#
+#	hxge 10G driver module
+#
+HXGE_OBJS =	hxge_main.o hxge_vmac.o hxge_send.o		\
+		hxge_txdma.o hxge_rxdma.o hxge_virtual.o	\
+		hxge_fm.o hxge_fzc.o hxge_hw.o hxge_kstats.o	\
+		hxge_ndd.o hxge_pfc.o				\
+		hpi.o hpi_vmac.o hpi_rxdma.o hpi_txdma.o	\
+		hpi_vir.o hpi_pfc.o
+
+#
+#	MEGARAID_SAS module
+#
+MEGA_SAS_OBJS = megaraid_sas.o
+
+#
+#	MR_SAS module
+#
+MR_SAS_OBJS = ld_pd_map.o mr_sas.o mr_sas_tbolt.o mr_sas_list.o
+
+#
+#	CPQARY3 module
+#
+CPQARY3_OBJS =	cpqary3.o cpqary3_noe.o cpqary3_talk2ctlr.o	\
+		cpqary3_isr.o cpqary3_transport.o cpqary3_mem.o	\
+		cpqary3_scsi.o cpqary3_util.o cpqary3_ioctl.o	\
+		cpqary3_bd.o
+
+#
+#	ISCSI_INITIATOR module
+#
+ISCSI_INITIATOR_OBJS =	chap.o iscsi_io.o iscsi_thread.o	\
+			iscsi_ioctl.o iscsid.o iscsi.o		\
+			iscsi_login.o isns_client.o iscsiAuthClient.o	\
+			iscsi_lun.o iscsiAuthClientGlue.o	\
+			iscsi_net.o nvfile.o iscsi_cmd.o	\
+			iscsi_queue.o persistent.o iscsi_conn.o	\
+			iscsi_sess.o radius_auth.o iscsi_crc.o	\
+			iscsi_stats.o radius_packet.o iscsi_doorclt.o	\
+			iscsi_targetparam.o utils.o kifconf.o
+
+#
+#	ntxn 10Gb/1Gb NIC driver module
+#
+NTXN_OBJS =	unm_nic_init.o unm_gem.o unm_nic_hw.o unm_ndd.o	\
+			unm_nic_main.o unm_nic_isr.o unm_nic_ctx.o niu.o
+
+#
+#	Myricom 10Gb NIC driver module
+#
+MYRI10GE_OBJS =	myri10ge.o myri10ge_lro.o
+
+#	nulldriver module
+#
+NULLDRIVER_OBJS =	nulldriver.o
+
+TPM_OBJS =	tpm.o tpm_hcall.o
